/*      strlib.c
**
** These routines attempt to get an idea of the quality of the compiler's
** string library routines.  Each of the tests runs a sinble string function
** a number of times.
*/



/* These tests are so fast, that they need to run a lot more times to get
** any meaningful results.
*/
#define INNER_LOOP      100


int lbstrlen (loop)
        int loop;
        {
        register int i;
        register char *cp =
                "12345678901234567890123456789012345678901234567890";

        int j;


        timestart ();
        for (  ;  loop;  loop--)
                for (i = 0;  i < INNER_LOOP;  i++)
                        j = strlen (cp);
        return (timend ());
        }


int lbstrcpy (loop)
        int loop;
        {
        register int i;
        register char *cp1 =
                "12345678901234567890123456789012345678901234567890";

        char buf[100], *cp2;


        cp2 = buf;

        timestart ();
        for (  ;  loop;  loop--)
                for (i = 0;  i < INNER_LOOP;  i++)
                        strcpy (cp2, cp1);
        return (timend ());
        }


int lbstrcmp (loop)
        int loop;
        {
        register int i;
        register char *cp1 =
                "12345678901234567890123456789012345678901234567890";

        int j;
        char *cp2 =
                "12345678901234567890123456789012345678901234567890";


        timestart ();
        for (  ;  loop;  loop--)
                for (i = 0;  i < INNER_LOOP;  i++)
                        j = strcmp (cp1, cp2);
        return (timend ());
        }
